#include <EEPROM.h>

byte notamidi;

void setup() {
  
  //keyboard --EEPROM: direccion 40-59
  for(int direccion=40; direccion<53; direccion++) { 
    switch (direccion) 
    {
      case 40:
        notamidi = 71; 
        EEPROM.write(direccion, notamidi);
        break;
      case 52:
        notamidi = 72;
        EEPROM.write(direccion, notamidi);
        break;
      default:
        notamidi = direccion + 19;
        EEPROM.write(direccion, notamidi);
    }
  }
  //MPC-Style --EEPROM: direccion 20-39
  for(int direccion=20; direccion<40; direccion++) {
    switch (direccion)
    {
      case 20:
        notamidi = 50;
        EEPROM.write(direccion, notamidi);
        break;
      case 21:
        notamidi = 36;
        EEPROM.write(direccion, notamidi);
        break;
      case 22:
        notamidi = 37;
        EEPROM.write(direccion, notamidi);
        break;
      case 23:
        notamidi = 40;
        EEPROM.write(direccion, notamidi);
        break;
      case 24:
        notamidi = 41;
        EEPROM.write(direccion, notamidi);
        break;
      case 25:
        notamidi = 44;
        EEPROM.write(direccion, notamidi);
        break;
      case 26:
        notamidi = 45;
        EEPROM.write(direccion, notamidi);
        break;
      case 27:
        notamidi = 48;
        EEPROM.write(direccion, notamidi);
        break;
      case 28:
        notamidi = 49;
        EEPROM.write(direccion, notamidi);
        break;
      case 29:
        notamidi = 38;
        EEPROM.write(direccion, notamidi);
        break;
      case 30:
        notamidi = 42;
        EEPROM.write(direccion, notamidi);
        break;
      case 31:
        notamidi = 46;
        EEPROM.write(direccion, notamidi);
        break;
      case 32:
        notamidi = 39;
        EEPROM.write(direccion, notamidi);
        break;
      case 33:
        notamidi = 43;
        EEPROM.write(direccion, notamidi);
        break;
      case 34:
        notamidi = 47;
        EEPROM.write(direccion, notamidi);
        break;
      default:
        notamidi = direccion + 16;
        EEPROM.write(direccion, notamidi);
    }
  }
  //Step Sequencer: direccion 60-79
  for(int direccion=60; direccion<80; direccion++) {
    switch (direccion)
    {
      case 60:
        notamidi = 47;
        EEPROM.write(direccion, notamidi);
        break;
      default:
        if (direccion > 71)
        {
          notamidi = direccion - 24;
        }
        else
        {
          notamidi = direccion - 25;
        }
        EEPROM.write(direccion, notamidi);
    }     
  }
  //Multi-Track --EEPROM: direccion 0-19
  for(int direccion=0; direccion<20; direccion++) {
    switch (direccion)
    {
      case 0:
        notamidi = 44;
        EEPROM.write(direccion, notamidi);
        break;
      case 3:
        notamidi = 36;
        EEPROM.write(direccion, notamidi);
        break;
      case 4:
        notamidi = 38;
        EEPROM.write(direccion, notamidi);
        break;
      case 5:
        notamidi = 37;
        EEPROM.write(direccion, notamidi);
        break;
      case 6:
        notamidi = 40;
        EEPROM.write(direccion, notamidi);
        break;
      case 7:
        notamidi = 41;
        EEPROM.write(direccion, notamidi);
        break;
      case 8:
        notamidi = 39;
        EEPROM.write(direccion, notamidi);
        break;
      case 11:
        notamidi = 43;
        EEPROM.write(direccion, notamidi);
        break;
      case 13:
        notamidi = 42;
        EEPROM.write(direccion, notamidi);
        break;
      case 15:
        notamidi = 47;
        EEPROM.write(direccion, notamidi);
        break;
      case 16:
        notamidi = 46;
        EEPROM.write(direccion, notamidi);
        break;
      case 17:
        notamidi = 45;
        EEPROM.write(direccion, notamidi);
        break;
      default:
        digitalRead(2);
    }
  }
}

void loop() {}
